Nuovi sviluppi IDE 1.8.x

revision.txt: Updated arm gcc to 4.7.4

Hanno cambiato la versione del compilatore per la DUE.

Il file completo è

ARDUINO 1.5.3 BETA

[ide] * Removed useless baud rates from serial monitor * Fixed some minor IDE UI bugs (Shigeru Kanemoto) * Added support for new 1.5 Library format (https://github.com/arduino/Arduino/wiki/Arduino-IDE-1.5:-Library-specification) * Pass board type from boards.txt (https://github.com/arduino/Arduino/issues/308) * Display estimated RAM usage after compile (Loren M. Lang) * Updated arm gcc to 4.7.4 and simplified build.xml * ARM gcc doesn't require ia32-libs anymore on 64 bits linux systems

[arduino core] * sam: Fixed delayMicrosecond() when interrupts are disabled * sam: Upgraded libsam, and added missing modules (CAN, ETH, etc.) (Thibaut Viard) * sam: Added compatibility for avr/pgmspace.h (Paul Stoffregen) * sam: Added serialEvent*() support * sam: Fixed micros() to work with inside interrupts. (stimmer) * avr: Added support for Flash strings on String class (Jantje) * Added support for floating point numbers in String class (Tevin Zhang, SebiTimeWaster) * sam: Fixed String buffer overflows (Paul Stoffregen) * avr: Added recipe for assembly files (C. A. Church) * avr: Use analogPinToChannel if it's defined (Kristian Sloth Lauszus) * avr: Optimized HardwareSerial buffer (Matthijs Kooijman)

[libraries] * sam: Added CAN library (still in early stage of development) (Palliser) * sam: Bugfix SPI library: begin() after end() now works (stimmer) * sam: Bugfix SPI library: incorrent pin configuration in non-extended mode. * Ported all libraries to new 1.5 format

[firmwares] * Arduino Due: fixed USB2Serial garbage at startup (https://github.com/arduino/Arduino/pull/1267)

[other] * Merged all improvements made in Arduino IDE 1.0.5

Comunque stanno segnando sempre più differenze tra la 1.0.x e le 1.5.x. A cominciare ad esempio alle librerie che dovranno essere completamente riviste nel nuovo formato. Non basterà aggiungere #ifdef ARDUINO > 100 :grin: :grin:

Come dici giustamente, hanno cambiato compilatore ma solo per la versione ARM, quindi solo nel caso in cui si usi la DUE.

Nel caso si compili per i vecchi chip AVR, deduco che la versione sia la stessa, quindi ci sono sempre i problemi del limite della memoria per chip con tanta Flash.

leo72: Come dici giustamente, hanno cambiato compilatore ma solo per la versione ARM, quindi solo nel caso in cui si usi la DUE.

Nel caso si compili per i vecchi chip AVR, deduco che la versione sia la stessa, quindi ci sono sempre i problemi del limite della memoria per chip con tanta Flash.

ma infatti io non comprendo perchè trascurare questo limite ed aggiornare questo benedetto compilatore....a sto punto era inutile produrre la MEga 2560,tanto valeva restare con la 1280!!!... PS: a compilazione del mio sketch domotico l'IDE mi restituisce: Dimensione del file binario dello sketch: 68.116 bytes (su un massimo di 258.048 bytes) .....e ce ne devo ancora mettere di roba,ci starà??....

Perché le nuove versioni di compilatori per AVR hanno altri problemi che devono essere prima risolti su tutte e tre le piattaforme di riferimento: Windows, Linux e Mac. E' non è una cosa facile. Se usi Windows o Linux, puoi già aggiornare la toolchain con l'ultima disponibile (aprile 2013). Ci sono 2 topic distinti per piattaforma in Megatopic. Per Mac nisba.

PaoloP: Perché le nuove versioni di compilatori per AVR hanno altri problemi che devono essere prima risolti su tutte e tre le piattaforme di riferimento: Windows, Linux e Mac. E' non è una cosa facile. Se usi Windows o Linux, puoi già aggiornare la toolchain con l'ultima disponibile (aprile 2013). Ci sono 2 topic distinti per piattaforma in Megatopic. Per Mac nisba.

appunto..Mac

Il problema fondamentale è che ... le istruzioni per "compilare" la "toochain AVR" ed il relativo script, presi dal sito Atmel ... FANNO LETTERALMENTE SCHIFO (... ad essere educati) !!!

Se qualche buon'anima riesce a capire DOVE vanno messe le varie cose, TUTTE le dipendenze documentate e non e COSA DIAVOLO fa lo script che danno ... allora possiamo avere la "toolchain AVR" su tutte le piattaforme senza problemi, altrimenti, finche ci si limita a prendere le versioni pre-compliate da Atmel, che sono solo per Win e Linux, su Mac ... ci attacchiamo XD XD XD

Per inciso ... c'abbiamo sbattuto la testa con Leo per svariato tempo ... senza risultati ... =(

Guglielmo

P.S. : Invece, per quella ARM, abbiamo trovato uno script ben fatto che la compila correttamente anche su Mac

gpb01: Il problema fondamentale è che ... le istruzioni per "compilare" la "toochain AVR" ed il relativo script, presi dal sito Atmel ... FANNO LETTERALMENTE SCHIFO (... ad essere educati) !!!

Se qualche buon'anima riesce a capire DOVE vanno messe le varie cose, TUTTE le dipendenze documentate e non e COSA DIAVOLO fa lo script che danno ... allora possiamo avere la "toolchain AVR" su tutte le piattaforme senza problemi, altrimenti, finche ci si limita a prendere le versioni pre-compliate da Atmel, che sono solo per Win e Linux, su Mac ... ci attacchiamo XD XD XD

Per inciso ... c'abbiamo sbattuto la testa con Leo per svariato tempo ... senza risultati ... =(

Guglielmo

P.S. : Invece, per quella ARM, abbiamo trovato uno script ben fatto che la compila correttamente anche su Mac

purtroppo tempo fa avevo provato anch'io a sbrogliare la situazione guardando di scovare qulacosa in rete ma nada de nada....sperem

@Paolo: i problemi dell'uso di una toolchain recente sono veramente pochi, fidati. Si tratta di cambiare alcune cose nei sorgenti dell'Arduino che a me, fatte a mano, hanno portato via una decina di minuti. Quindi non penso che il motivo del non uso di una toolchain più recente sia lì.

@Guglielmo: lasciamo stare va'... una valle di lacrime :drooling_face:

leo72: @Guglielmo: lasciamo stare va'... una valle di lacrime :drooling_face:

Ho fatto progressi su Mac ... finalmente lo script PARTE e non si lamenta più che manca questo programma o quell'altro (... ho dovuto installare le cose più assurde :astonished:) ora ... il casino è capire dove ca..o vuole sti benedetti .tar.gz ... che Dio li stramaledica !!!

Guglielmo

Ma l'organizzazione originale dell'IDE non ti aiuta in alcun modo? Non dovrebbe esserci un legame?

gpb01: Il problema fondamentale è che ... le istruzioni per "compilare" la "toochain AVR" ed il relativo script, presi dal sito Atmel ... FANNO LETTERALMENTE SCHIFO (... ad essere educati) !!!

Se qualche buon'anima riesce a capire DOVE vanno messe le varie cose, TUTTE le dipendenze documentate e non e COSA DIAVOLO fa lo script che danno ... allora possiamo avere la "toolchain AVR" su tutte le piattaforme senza problemi, altrimenti, finche ci si limita a prendere le versioni pre-compliate da Atmel, che sono solo per Win e Linux, su Mac ... ci attacchiamo XD XD XD

Per inciso ... c'abbiamo sbattuto la testa con Leo per svariato tempo ... senza risultati ... =(

Guglielmo

P.S. : Invece, per quella ARM, abbiamo trovato uno script ben fatto che la compila correttamente anche su Mac

Vogliamo aprire un nuovo topic dove cercare di sbrogliare la faccenda fra tutti??...

[quote author=Michele Menniti link=topic=153592.msg1348880#msg1348880 date=1376129542] Ma l'organizzazione originale dell'IDE non ti aiuta in alcun modo? Non dovrebbe esserci un legame? [/quote]

NO ... per due fondamentali motivi ...

  1. perché nell'IDE hai la Toolchain GIA' compilata e quindi ... nulla ti dice COME (script di compilazione) e da COSA (moduli che vengono compilati) sia stata generata ... :(

  2. perché nell'IDE usano ancora la vecchia Toolchain ... che era organizzata in modo diverso, tanto è vero che per quella si trovano script funzionanti (... come si trovano per la nuova versione ARM), mentre per quest'ultima ... non ho ancora trovato qualcuno che abbia risolto XD

Guglielmo

ibbba: ... Vogliamo aprire un nuovo topic dove cercare di sbrogliare la faccenda fra tutti??...

Ben volentieri ... se collabora anche Leo, che ha già fatto un sacco di prove ed ha studiato a lungo anche lo script (anche se su Linux e non su OS X ... ma è uguale, in teoria dovrebbe essere indipendente dalla piattaforma :roll_eyes:) ... magari alla fine (... ma proprio alla fine) ... ne usciamo forse vincitori :grin: :grin: :grin:

Che ne dici Leo ????

Guglielmo

Ho ancora lo script modificato. Se volete, aprite il thread, che ve lo passo lì.

in caso passa il link

@Lesto --> http://forum.arduino.cc/index.php?topic=182175.0

PaoloP: @Lesto --> http://forum.arduino.cc/index.php?topic=182175.0

Sono assente per una decina di gg ... appena rientro, come d'accodo con Leo, pubblico il tutto in modo ordinato ... abbiate pazienza ... :blush:

Guglielmo

Ok. Metti il messaggio anche sull'altro topic. :sweat_smile: Questo è il mio. ]:D

Aggiornato il ramo 1.5.x --> https://github.com/arduino/Arduino/tree/ide-1.5.x Nuova libreria Firmata 2.3.6 e correzione delle librerie per Arduino Robot.

Non ho capito il discorso di Firmata. Versione 2.3.6 Sul sito http://firmata.org/wiki/Protocol si parla solo di 2.3 Potete chiarirmi le idee? Firmata come versioni chi le decide? Comunque il team Arduino? Per molti altri linguaggi han fatto librerie ferme alla 2.1 (tutte open source, perciò lento l'allineamento).